"""ConfManager Errors."""

class ConfManagerError(Exception):
 """A ConfManager Error."""
 def __init__(self, message = None):
  """Initialise the errors."""
  if message == None:
   message = self.__doc__
  return super(ConfManagerError, self).__init__(message)

class ValueError(ConfManagerError):
 """Problem with value: {value}."""
 def __init__(self, value):
  """Tell the user which value has the problem."""
  return super(ValueError, self).__init__(self.__doc__.format(value = value))

class NoSectionError(ValueError):
 """There is no section named {value}."""

class DuplicateSectionError(ValueError):
 """There is already a section named: {value}."""

class NoOptionError(ValueError):
 """There is no option named {value}."""
